cURL
curl --request GET \
--url https://app.teable.ai/api/admin/setting \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'const url = 'https://app.teable.ai/api/admin/setting';
const options = {method: 'GET', headers: {Authorization: 'Bearer REPLACE_BEARER_TOKEN'}};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'GET',
hostname: 'app.teable.ai',
port: null,
path: '/api/admin/setting',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }
conn.request("GET", "/api/admin/setting", headers=headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"instanceId": "<string>",
"brandName": "<string>",
"brandLogo": "<string>",
"disallowSignUp": true,
"disallowSpaceCreation": true,
"disallowSpaceInvitation": true,
"disallowDashboard": true,
"enableEmailVerification": true,
"enableWaitlist": true,
"enableCreditReward": true,
"aiConfig": {
"llmProviders": [],
"embeddingModel": "<string>",
"translationModel": "<string>",
"chatModel": {
"lg": "<string>",
"md": "<string>",
"sm": "<string>",
"ability": {
"image": true,
"pdf": true,
"webSearch": true,
"toolCall": true,
"reasoning": true,
"imageGeneration": true
}
},
"gatewayModels": [
{
"id": "<string>",
"label": "<string>",
"enabled": true,
"capabilities": {
"image": true,
"pdf": true,
"webSearch": true,
"toolCall": true,
"reasoning": true,
"imageGeneration": true
},
"pricing": {
"input": "<string>",
"output": "<string>",
"inputCacheRead": "<string>",
"inputCacheWrite": "<string>",
"reasoning": "<string>",
"image": "<string>",
"webSearch": "<string>"
},
"rates": {
"inputRate": 1,
"outputRate": 1,
"cacheReadRate": 1,
"cacheWriteRate": 1,
"reasoningRate": 1,
"imageRate": 1,
"webSearchRate": 1
},
"isImageModel": true,
"defaultFor": [
"chatLg"
],
"testedAt": 123,
"ownedBy": "alibaba",
"modelType": "language",
"tags": [
"reasoning"
],
"contextWindow": 123,
"maxTokens": 123,
"description": "<string>"
}
],
"capabilities": {
"disableActions": [
"<string>"
]
},
"aiGatewayApiKey": "<string>",
"aiGatewayBaseUrl": "<string>",
"attachmentTest": {
"urlMode": {
"success": true,
"errorMessage": "<string>"
},
"base64Mode": {
"success": true,
"errorMessage": "<string>"
},
"testedAt": "<string>",
"testedOrigin": "<string>",
"recommendedMode": "url"
},
"attachmentTransferMode": "url",
"aiGatewayApiKeys": [
"<string>"
],
"vertexByokCredential": {
"project": "<string>",
"location": "<string>",
"googleCredentials": {
"privateKey": "<string>",
"clientEmail": "<string>"
}
},
"concurrencyGroups": [
{
"id": "<string>",
"name": "<string>",
"taskTypes": [],
"keys": [],
"perKey": 5
}
],
"concurrencyPerKey": 50.5,
"enable": true
},
"notifyMailTransportConfig": {
"sender": "<string>",
"host": "<string>",
"port": 123,
"auth": {
"user": "<string>",
"pass": "<string>"
},
"senderName": "<string>",
"secure": true
},
"automationMailTransportConfig": {
"sender": "<string>",
"host": "<string>",
"port": 123,
"auth": {
"user": "<string>",
"pass": "<string>"
},
"senderName": "<string>",
"secure": true
},
"appConfig": {
"apiKey": "<string>",
"vercelToken": "<string>",
"customDomain": "<string>",
"creditCount": 1,
"v0BaseUrl": "<string>",
"vercelBaseUrl": "<string>"
},
"canaryConfig": {
"enabled": true,
"spaceIds": [],
"forceV2All": true
},
"trashCleanupEnabledAt": "<string>",
"createdTime": "<string>"
}admin
Get adminsetting
Get the instance settings
GET
/
admin
/
setting
cURL
Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Réponse
200 - application/json
Returns the instance settings.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Dernière modification le 4 septembre 2026
Cette page vous a-t-elle été utile ?

